# PropertySensor Class Reference

[GameLogic Index] [GameLogic Hierarchy]

A PropertySensor is a special kind of a general sensor More...

`#include <propertysensor.h>`

Inherits: Sensor

## Public Members

- PropertySensor ()
- ~PropertySensor ()
- PyObject* getType ()
- PyObject* setType (int type)
- PyObject* getProperty (char* name)
- PyObject* setProperty (char* name)
- PyObject* getValue ()
- PyObject* setValue (char* value)

## Detailed Description

A PropertySensor is a special kind of a general sensor.

## PyObject* getType()

Returns the type of check this sensor performs.

## PyObject* setType(int type)

Set the type of check to perform. Valid arguments are KX_PROPSENSOR_EQUAL, KX_PROPSENSOR_NOTEQUAL, KX_PROPSENSOR_INTERVAL, KX_PROPSENSOR_CHANGED, or KX_PROPSENSOR_EXPRESSION.

## PyObject* getProperty(char* name)

Return the property with which the sensor operates.

## PyObject* setProperty(char* name)

Sets the property with which to operate. If there is no property of this name, the call is ignored.

## PyObject* getValue()

Returns the value with which the sensor operates.

## PyObject* setValue(char* value)

Set the value with which the sensor operates. If the value is not compatible with the type of the property, the subsequent action is ignored.

- Author: Jan Walter
- Documentation generated by jan@nvidea on Thu Dec 21 14:04:43 CET 2000

K doc